#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int a[n+2];
    int m[10];
     for(int i=0;i<10;i++){
        m[i]=-1;
    }
    for(int i=0;i<n;i++){
        cin>>a[i];
        m[a[i]]=i;
    }
    for(int i=9;i>=0;i--){
        if(m[i]!=-1){
            for(int j=0;j<m[i];j++){
                if(a[j]<i){
                    swap(a[m[i]],a[j]);
                    for(int k=0;k<n;k++){
                        cout<<a[k]<<" ";
                    }
                    return 0;
                }
            }
        }
    }
    swap(a[n-1],a[n-2]);
    for(int k=0;k<n;k++){
                        cout<<a[k]<<" ";
                    }
    return 0;
}